KF5KROSS(1)

NAME
kf5kross - KDE application to run kross scripts.

SYNOPSIS

kf5kross [-h, --help] [-v, --version] [--author] [--license] [file ...]

DESCRIPTION

kf5kross executes kross scripts written in KDE JavaScript, Python, Ruby, Java(TM) and Falcon.

This command line tool is used for any non-GUI scripts, e.g. Calligra Sheets has some of these.

OPTIONS

-h--help
    Show help about options.

-v--version
    Show version information.

--author
    Show author information.

--license
    Show license information.

file...
    The files with the scripts to run.

USAGE

kf5kross file runs the script in file after loading the interpreter plugin for the script language (detected by filename suffix).

To interpret other languages than KDE JavaScript, kdebindings must be installed.

SEE ALSO

kf5options(7), qt5options(7), python(1), ruby(1), kjs5(1), java(1), falcon(1)

Look at http://kross.dipe.org/solution.html for more information and tutorials.

BUGS

Please use KDE's bugtracker[1] to report bugs.

AUTHOR

Sebastian Sauer <mail@dipe.org>
    Author.

NOTES

1.  KDE's bugtracker
    https://bugs.kde.org